%define name	streamtuner
%define version	0.10.0
%define release 1mdk

Name: 	 	%{name}
Summary: 	Internet audio stream browser.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
#Source1: 	%{name}48.png
#Source2: 	%{name}32.png
#Source3: 	%{name}16.png
URL:		http://streamtuner.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig libgdk_pixbuf2.0_0-devel libgtk+2.0-devel libcurl-devel

%description
Streamtuner is a stream directory browser. It offers an intuitive and unified
interface to various streaming directories through the use of a plugin system.
Currently, ShoutCast is the only plugin.

%package devel
Summary:	Developement files from %name.
Requires:	%name
Group:		Development/C

%description devel
Headers and static libraries from %name.

%prep
%setup -q

%build
%configure
%make
										
%install
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="StreamTuner" longtitle="Audio Stream Browser" section="Multimedia/Sound"
EOF

#icons
#mkdir -p $RPM_BUILD_ROOT/%_liconsdir
#cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
#mkdir -p $RPM_BUILD_ROOT/%_iconsdir
#cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
#mkdir -p $RPM_BUILD_ROOT/%_miconsdir
#cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS NEWS TODO
%{_bindir}/%{name}*
%{_menudir}/%name
%{_libdir}/%name
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
#%{_liconsdir}/%name.png
#%{_iconsdir}/%name.png
#%{_miconsdir}/%name.png

%files devel
%defattr(-,root,root)
%{_includedir}/%name
%{_libdir}/%name/plugins/*.la
%{_libdir}/%name/plugins/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Jul 14 2003 Austin Acton <aacton@yorku.ca> 0.10.0-1mdk
- 0.10.0

* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 0.9.1-2mdk
- distlint (DIRM)

* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 0.9.1-1mdk
- initial package
